###############################################################################
# Setting up ArchieSDK
ifeq ($(strip $(ARCHIESDK)),)
$(error "ARCHIESDK was not found in your environment. please export ARCHIESDK)
endif
include $(ARCHIESDK)/config.mk
###############################################################################

# Your program's name
APPNAME = printf_abuse

# Your source files (.c or .s)
SRCFILES = printf_abuse.c

# Extra libraries
LIBS =

# Make sure to always append to CFLAGS with += instead of overwriting them
CFLAGS += -O2

all: 
# Build program
	$(ARCHIECC) $(CFLAGS) -otmpProg $(SRCFILES) $(LIBS) 
# Extract final binary from ELF
	$(ARCHIEOBJCOPY) -O binary tmpProg $(APPNAME),ff8
# Copy final binary to hostfs (modify config.mk to set your path)
	cp -f $(APPNAME),ff8 $(ARCHIECOPYPATH)/$(APPNAME),ff8 | true
# Delete temporary ELF
	rm -f tmpProg

asm:
# Generate ASM from C files 
	$(ARCHIECC) $(CFLAGS) -S $(SRCFILES)

clean:
# Clean up build files
	rm -f *,ff8
	rm -f tmpProg